Bug 1019690 - UI should raise validation error when system name exceeds 255 characters
UI should raise validation error when system name exceeds 255 characters
Status: CLOSED NOTABUG
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.2
Unspecified Unspecified
medium Severity medium (vote)
: Unspecified
: --
Assigned To: Walden Raines
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-16 05:13 EDT by Sachin Ghai
Modified: 2014-04-14 17:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-14 17:18:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sachin Ghai 2013-10-16 05:13:53 EDT
Description of problem:
UI should raise validation error when system name exceeds 255 characters, 
Currently UI accepts 255 characters, However when we input 256 characters nothing happens on UI and clicking save button doesn't raise any error.

Version-Release number of selected component (if applicable):
snap5 compose2 (MDP2)
katello-1.4.6-31.el6sat.noarch

How reproducible:
always

Steps to Reproduce:
1. create/edit a system with name greater than 255 characters
2.
3.

Actual results:
UI doesn't raise validation error.

Expected results:
UI should raise validation error on clicking 'save' button.

Additional info:
we have similar bz for custom info: 1016203.
Comment 2 Walden Raines 2013-10-28 11:16:44 EDT
PR:  https://github.com/Katello/katello/pull/3275
Comment 3 Mike McCune 2013-10-29 01:16:00 EDT
This really shouldn't be in MDP2, not severe enough

moving to MDP3
Comment 4 Walden Raines 2013-10-30 08:50:47 EDT
commit ef6f89208dc7190f7763aece5447238f46194328
Merge: 72b6f80 79e84ca
Author: Walden Raines <walden@redhat.com>
Date:   Wed Oct 30 05:49:47 2013 -0700

    Merge pull request #3275 from waldenraines/bug-1019690
    
    Bug #1019690 - move system error displays to parent scope.

commit 79e84ca0480e10696baadea8e74609e08e90952d
Author: Walden Raines <walden@redhat.com>
Date:   Mon Oct 28 10:01:23 2013 -0400

    Bug #1019690 - move system error displays to parent scope.
Comment 6 Corey Welton 2014-04-14 17:18:44 EDT
This bug is being closed.  Users are no longer able to add Systems willy-nilly -- only via register or provision.  As such, this code is no longer visible/in use.

Note You need to log in before you can comment on or make changes to this bug.